<?php
namespace Claromentis\Infocapture\Event;

$GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"] ?: array()) + array();
use Claromentis\Core\Event\Event;
class DeleteSlaRulesEvent extends Event implements ProjectEventInterface
{
    protected $project;
    protected $fields_rule_id;
    protected $timer_type;
    public function __construct(\HDProject $project, int $_e7abfa820a3de22659425ae05962f998, int $_c81931b478b71965c9977c8cbb5f8da4)
    {
        $this->project = $project;
        $this->fields_rule_id = $_e7abfa820a3de22659425ae05962f998;
        $this->timer_type = $_c81931b478b71965c9977c8cbb5f8da4;
    }
    
    
    
    
    public function getProject() : \HDProject
    {
        return $this->project;
    }
    
    
    
    
    public function getFieldsRuleId() : int
    {
        return $this->fields_rule_id;
    }
    
    
    
    
    public function getTimerType() : int
    {
        return $this->timer_type;
    }
}